Issue 55063

Summary: Sentence selection broken for Thai
Product: Internationalization Reporter: jjc
Component: codeAssignee: stefan.baltzer
Status: CLOSED FIXED QA Contact: issues@l10n <issues>
Severity: Trivial    
Priority: P3 CC: falko.tesch, issues, markpeak
Version: OOO 2.0 Beta2   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 41707    

Description jjc 2005-09-25 14:41:15 UTC
In Thai, the end of a sentence is not usually marked by punctuation; instead
sentences are separated by spaces.  In Writer, triple-clicking is supposed to
select a sentence, but triple clicking in a Thai paragraph containing multiple
space-separated sentences selects the whole paragraph.

In Thai a space is used not just to separate sentences but also to separate
phrases (in other words it is used both like a comma and a period in English);
telling the difference is hard and in any case the concept of a sentence is not
as sharp in English.  The natural thing to do would be for a triple-click to
consider any space-delimited phrase to be a sentence.
Comment 1 falko.tesch 2005-10-20 16:55:38 UTC
.
Comment 2 falko.tesch 2005-10-20 20:09:46 UTC
FT: PLease take over. Thx a lot.
Comment 3 samphan 2006-01-26 10:40:56 UTC
Agree with James that triple-click at a Thai character should simply select the
space-delimited string (which typically is a phrase in Thai) containing the
character.
Comment 4 karl.hong 2008-04-23 06:47:47 UTC
Make space as sentence separator for Thai.

Fixed in cws i18n41.
Comment 5 karl.hong 2008-04-23 07:21:41 UTC
fixed.
Comment 6 karl.hong 2008-04-24 07:03:18 UTC
ready for QA.
Comment 7 karl.hong 2008-04-24 07:08:48 UTC
set target milestone to OOo 3.0.
Comment 8 stefan.baltzer 2008-05-19 11:24:26 UTC
Verified in CWS i18n41.
In Thai text...
 - Double-click selects a character
 - Triple-Click now selects Thai string/sentence "from Space to Space"
 - Quadruple-Click selects entire paragraph.
Comment 9 stefan.baltzer 2008-09-01 08:48:33 UTC
SBA: Re-verified in OOO300_m4. Closed.